task ngscheckmate_fastq {
  String sample_id
	File fastq1
	File fastq1
  String subsampling_rate
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		export NCM_HOME=/opt/NGSCheckMate
		python /opt/NGSCheckMate/ncm_fastq.py -1 ${fastq1} -2 ${fastq2} /opt/NGSCheckMate/SNP/SNP.pt -p $nt -s ${subsampling_rate} > ${sample_id}.vaf
	>>>

	runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk:"cloud_ssd 40"
    	dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vaf="${sample_id}.vaf"
	}
}
